it-swarm-ja.com

Eclipseの起動時にJNI共有ライブラリをロードできませんでした

最新版のEclipseをダウンロードしましたが、起動できません。

私が得るエラーメッセージは:

JNI共有ライブラリ「C:\ Program Files(x86)\ Java\jdk1.6.0_20\bin ..\jre\bin\client\jvm.dll」の読み込みに失敗しました。

どうすれば修正できますか?

64ビットのWindows、32ビットのJDK、ダウンロードした64ビットのEclipseを使用しています。

29
Jonas

これは通常、インストールされているJDKとEclipseバージョンの間に32ビットと64ビットの不一致がある場合に発生します。

お使いのバージョンのEclipseは32ビットJDKにアクセスしようとしていますが(C:\ Program Files(x86)で示されています)、Eclipseが64ビットJDKを予期しているため、または32 -bit JDKがありません-そのため、EclipseとJDKのバージョンをそれに応じてビットごとに一致させる必要があります。

35
Steffen Opel

JDKとEclipse 64ビットバージョンの両方をインストールしましたが、同じ問題がありました...

最後に私は私の%PATH%システム変数にフォルダーが含まれていませんでした。 JDK\binがインストールされている正しいフォルダーに変更することを忘れないでください。私のために働いた。

3
RDB
-startup
plugins/org.Eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
--launcher.library
plugins/org.Eclipse.equinox.launcher.win32.win32.x86_64_1.1.2.R36x_v20101222
-product
org.Eclipse.epp.package.Java.product
--launcher.defaultAction
openFile
--launcher.XXMaxPermSize
256M
-showsplash
org.Eclipse.platform
-vm
C:/Program Files/Java/jdk1.6.0_32/jre/bin
--launcher.XXMaxPermSize
256m
--launcher.defaultAction
openFile
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m

eclipseとOSの両方を64ビットまたは32ビットの両方を使用

2

64ビットのEclipseおよび64ビットのJDK/JREをダウンロードした場合は、64ビット用のjavaw.exeの可用性を確認してください。

私の場合はC:\Program Files\Java\jre6\binでした

Eclipseをc:\Eclipseフォルダーに解凍しました。その中でEclipse.iniファイルが利用可能です。そのファイルの内容を次のものに置き換えます。

-showsplash
org.Eclipse.platform
--launcher.XXMaxPermSize
256M
-vm
C:\Program Files\Java\jre6\bin\javaw.exe
-framework
plugins\org.Eclipse.osgi_3.4.3.R34x_v20081215-1030.jar
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xmx700m
-XX:MaxPermSize=690M

-vmフラグと値の間に新しい行を残します。それは私のために働いた。

Windows 7では、UNIXと同じようにシンボリックリンクを使用できます。

したがって、cmd(管理者として実行)を使用して、次のコマンドを実行します。mklink /d jdk jdk-versionnr-etcパスを更新する必要はありません。Java_JOMEを次回更新するときにJava

1
bud.minton

64ビットのEclipseと32ビットのJavaがあり、同じ問題がありました。64ビットをインストールした後Javaおよび更新システムパス、問題なし。

1

1.使用可能なjdk7.1をアンインストールします(64ビットでした)2. 32ビットのjdk7.1をダウンロードしてインストールしました。 jvm.dllは次のパスにあります: "C:\ Program Files(x86)\ Java\jdk1.7.0_75\jre\bin\client"

うまくいくことを願っています。

0
Charmy Vora

私は同じ問題に直面していましたが、解決策を得ました。

Eclipseが32ビットか64ビットかを確認し、

  1. 32ビットの場合は、Java_HOMEを32ビットバージョンのjdkに設定します。
  2. Eclipseが64ビットの場合、Java_HOMEを64ビットバージョンのjdkに設定します。
0
Arjun Kushwah

JDKとEclipseの両方の64ビットバージョンがあるにもかかわらず、同じ問題に直面していました。 JDKパスがEclipse.iniにないことがわかりました。

そこで、Eclipse.iniファイルに次の行を追加しました。

-vm
C:\Program Files\Java\jdk1.7.0_45\jre\bin <this might be different on your machine>

これで問題は解決しました! :-)

0

これは古い質問ですが、@ Steffen Opelからの承認された回答にさらに関連性の高い情報を追加することを考えました。

64ビットWindows OSには、32ビットJDKと64ビットJDKのバージョンをいくつでもインストールできます。また、32ビットEclipseおよび64ビットEclipseを同じコンピューターにインストールすることもできます。ただし、プラットフォーム関連のEclipse(OPの場合は64ビットEclipse)バージョンのいずれかを実行するには、JDK用に一致する「環境変数」がマシンに設定されている必要があります。これは、Eclipse.iniファイルを変更せずに実行できます(実行する必要があります)。

環境変数

フルパスを指定せずにJavaを実行するには、Java.exeのファイルの場所をPATH環境変数に追加する必要があります。また、他のいくつかのサードパーティのユーティリティでは、 _Java_HOME_環境変数も必要です。

通常Java開発者は常にJDKをインストールする必要があります(JREはJDKに含まれています)。そしてPATHはJDKインストールフォルダーの下の「bin」フォルダーに設定されます( OPケースC:\ Program Files\Java\jdk1.6.0_40\bin)_Java_HOME_がJDKインストールフォルダーに設定されている(OPケースではC:\ Program Files\Java\jdk1.6.0 _40)。

ここでOPは32ビットのJDKしか持っていませんが、64ビットのEclipseを使用しようとしています。したがって、問題を解決するには、OPに64ビットJDKをインストールする必要があります。そして、_Java_HOME_&PATH環境変数”をそのインストール場所に一致するように変更します。

これがより完全なステップです:

  • 64ビットJDKx.x.x_xxをダウンロードしてインストールする
  • 次に、Windowsエクスプローラーを開き、コンピューターアイコンを右クリックして、

    プロパティ-> システムの詳細設定
    システムプロパティウィンドウが開き、[詳細]タブで[環境変数]を選択して編集ウィンドウを開きます。

  • システム変数セクションで_Java_HOME_変数名を探し、下部セクションの[編集]ボタンをクリックします。使用できない場合は、[新規]をクリックしてCと入力します。\Program Files\Java\jdk1.6.0_40をクリックし、[OK]をクリックします。

  • 次に、PATH変数を選択し、「編集」をクリックして、_%Java_HOME%\bin_を追加します。既存の文字列の前または_%Java_HOME%\bin_まで。既存の文字列を上書きせずに、[OK]-> [OK]-> [OK]をクリックして完了します。

エラーなしでEclipseが開きます。

注:

  • 誰かが32ビットEclipseを使用する必要がある場合、デフォルトのJDKパスはC:\プログラムファイル(x86)\ Java\jdkx.x.x_xx

  • Windows 10でPATH環境変数を変更すると、次の図に示すように追加のウィンドウが表示されます。

enter image description here

0
Dush

Eclipseが64ビットの場合、C:\ Program Files\Java\jre7へのパスのJavaを更新します

さもなければ

Javaの場所を確認し、コンテンツC:\ Program Files\Java\jre7をEclipse jreの場所にコピーします。

リファレンス- http://www.buggybread.com/2013/01/failed-to-load-jni-shared-library.html

0
Vivek Vermani

Steffen Opelの回答について詳しく説明すると、Eclipse.iniファイルで指定されたJVMと、Windowsパス環境変数のエントリの結果として検出および起動されたJVMの間で不一致が発生します。したがって、問題を修正するには、両方が同じJVMを参照していることを確認してください。

この問題を修正するには、次の手順に従います。

1。目的のバージョンのJVMで起動するようにEclipse構成を修正します
Eclipse.iniを開き、以下の行をJava使用するバージョンに変更します。例:

-Dosgi.requiredJavaVersion=1.5

2。Eclipseが必要なJVMにアクセスできることを確認してください
Gotoコントロールパネル->システム環境変数の編集->パス。
a)Javaへのエントリがここに存在することを確認してください
b)このエントリが、@ pathエントリ内の他のどのJavaパスよりも高い(または早い)位置にあることを確認してください。

うまくいけば、これで問題が解決するはずです。

0
IqbalHamid